FBO Accounts
Create FBO Account
Create a new FBO account
POST
/
fbo-accounts
cURL
curl --request POST \
--url https://api.beachdepository.com/v1/fbo-accounts \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543"
}'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
firstName: "John",
lastName: "Doe",
email: "john@example.com",
phone: "+15559876543",
}),
})
const data = await response.json()
import requests
response = requests.post(
"https://api.beachdepository.com/v1/fbo-accounts",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543",
},
)
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts"
payload := strings.NewReader(`{
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543"
}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "m97fbonew1",
"organizationId": "k57orgxyz",
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543",
"vaultId": "PV-100234",
"maxInsuredValueCents": "0",
"isPrimary": false,
"createdAt": "2025-06-15T09:00:00Z"
}
}
Creates an FBO account in the organization and assigns
vaultId (PV-######). Save id and vaultId. This response has isPrimary set to false.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs fbo_accounts:create.Body
string
required
string
required
string
required
string
required
string
Send this when the holder is a company.
cURL
curl --request POST \
--url https://api.beachdepository.com/v1/fbo-accounts \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543"
}'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
firstName: "John",
lastName: "Doe",
email: "john@example.com",
phone: "+15559876543",
}),
})
const data = await response.json()
import requests
response = requests.post(
"https://api.beachdepository.com/v1/fbo-accounts",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543",
},
)
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts"
payload := strings.NewReader(`{
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543"
}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "m97fbonew1",
"organizationId": "k57orgxyz",
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543",
"vaultId": "PV-100234",
"maxInsuredValueCents": "0",
"isPrimary": false,
"createdAt": "2025-06-15T09:00:00Z"
}
}
This endpoint supports the
Idempotency-Key header.⌘I
cURL
curl --request POST \
--url https://api.beachdepository.com/v1/fbo-accounts \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543"
}'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
firstName: "John",
lastName: "Doe",
email: "john@example.com",
phone: "+15559876543",
}),
})
const data = await response.json()
import requests
response = requests.post(
"https://api.beachdepository.com/v1/fbo-accounts",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543",
},
)
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts"
payload := strings.NewReader(`{
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543"
}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "m97fbonew1",
"organizationId": "k57orgxyz",
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+15559876543",
"vaultId": "PV-100234",
"maxInsuredValueCents": "0",
"isPrimary": false,
"createdAt": "2025-06-15T09:00:00Z"
}
}